=== modified file 'drizzled/table_proto_write.cc'
--- drizzled/table_proto_write.cc	2010-10-02 21:15:42 +0000
+++ drizzled/table_proto_write.cc	2010-10-07 05:18:53 +0000
@@ -448,10 +448,15 @@
 
       idx->set_comment(key_info[i].comment.str);
     }
-    if (key_info[i].flags & 
-        ~(HA_NOSAME | HA_PACK_KEY | HA_USES_BLOCK_SIZE | 
-          HA_BINARY_PACK_KEY | HA_VAR_LENGTH_PART | HA_NULL_PART_KEY | 
-          HA_KEY_HAS_PART_KEY_SEG | HA_GENERATED_KEY | HA_USES_COMMENT))
+    static const uint64_t unknown_index_flag= (HA_NOSAME | HA_PACK_KEY |
+                                               HA_USES_BLOCK_SIZE | 
+                                               HA_BINARY_PACK_KEY |
+                                               HA_VAR_LENGTH_PART |
+                                               HA_NULL_PART_KEY | 
+                                               HA_KEY_HAS_PART_KEY_SEG |
+                                               HA_GENERATED_KEY |
+                                               HA_USES_COMMENT);
+    if (key_info[i].flags & ~unknown_index_flag)
       abort(); // Invalid (unknown) index flag.
 
     for(unsigned int j=0; j< key_info[i].key_parts; j++)

=== modified file 'plugin/innobase/data/data0data.c'
--- plugin/innobase/data/data0data.c	2010-10-02 21:15:42 +0000
+++ plugin/innobase/data/data0data.c	2010-10-07 05:18:53 +0000
@@ -407,8 +407,10 @@
 		case 4:
 			val = mach_read_from_4(data);
 
+                        static const ulint UNSIGNED_MASK= 0x80000000;
+
 			if (!(prtype & DATA_UNSIGNED)) {
-				val &= ~0x80000000;
+				val &= ~UNSIGNED_MASK;
 				fprintf(stderr, "%ld", (long) val);
 			} else {
 				fprintf(stderr, "%lu", (ulong) val);

=== modified file 'plugin/signal_handler/signal_handler.cc'
--- plugin/signal_handler/signal_handler.cc	2010-09-27 23:26:59 +0000
+++ plugin/signal_handler/signal_handler.cc	2010-10-07 05:18:53 +0000
@@ -62,9 +62,8 @@
     or stop, we just want to kill the server.
 */
 
-static void kill_server(void *sig_ptr)
+static void kill_server(int sig)
 {
-  int sig=(int) (long) sig_ptr;			// This is passed a int
   // if there is a signal during the kill in progress, ignore the other
   if (kill_in_progress)				// Safety
     return;
@@ -197,7 +196,7 @@
       if (!abort_loop)
       {
         abort_loop=1;				// mark abort for threads
-        kill_server((void*) sig);	// MIT THREAD has a alarm thread
+        kill_server(sig);		// MIT THREAD has a alarm thread
       }
       break;
     case SIGHUP:

